"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const taskId_1 = require("../task/taskId");
const npmlog_1 = __importDefault(require("npmlog"));
function hrtimeToSec(hrtime) {
    return (hrtime[0] + hrtime[1] / 1e9).toFixed(2);
}
function hr() {
    console.log("----------------------------------------------");
}
async function reportSummary(context) {
    const { command, measures, taskLogs } = context;
    hr();
    if (measures.failedTask) {
        const [pkg, task] = taskId_1.getPackageTaskFromId(measures.failedTask);
        npmlog_1.default.error("", `ERROR DETECTED IN ${pkg} ${task}`);
        npmlog_1.default.error("", taskLogs.get(measures.failedTask).join("\n"));
        hr();
    }
    npmlog_1.default.info("", measures.taskStats
        .map((stats) => {
        const [pkg, task] = taskId_1.getPackageTaskFromId(stats.taskId);
        return `[${pkg} - ${task}] took ${hrtimeToSec(stats.duration)}s`;
    })
        .join("\n"));
    hr();
    npmlog_1.default.info("", `The command "${command}" took a total of ${hrtimeToSec(measures.duration)}s to complete`);
}
exports.reportSummary = reportSummary;
